Bug 862554 - Error while installing wodim, genisoimage: readlink: command not found
Summary: Error while installing wodim, genisoimage: readlink: command not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrkit
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 782468
TreeView+ depends on / blocked
 
Reported: 2012-10-03 08:33 UTC by Martin Banas
Modified: 2013-09-19 13:10 UTC (History)
1 user (show)

Fixed In Version: cdrkit-1.1.11-14.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-01 15:06:40 UTC


Attachments (Terms of Use)
anaconda.packaging.log (187.43 KB, text/plain)
2012-10-03 08:34 UTC, Martin Banas
no flags Details

Description Martin Banas 2012-10-03 08:33:03 UTC
Description of problem:
wodim and genisoimage is installed before coreutils, which causes the post scripts to fail:
03:52:08,703 INFO packaging: /var/tmp/rpm-tmp.S6D91J: line 1: readlink: command not found
03:52:08,828 INFO packaging: /var/tmp/rpm-tmp.gzBd9O: line 1: readlink: command not found
03:52:08,830 INFO packaging: /var/tmp/rpm-tmp.gzBd9O: line 5: readlink: command not found


Version-Release number of selected component (if applicable):
Fedora
coreutils-8.17-5.fc18.x86_64
wodim-1.1.11-12.fc18.x86_64
genisoimage-1.1.11-12.fc18.x86_64
Fedora-20120926_f18b-smoke3

How reproducible:
always

Steps to Reproduce:
1. Start installation of Fedora-20120926_f18b-smoke3 from DVD
2. Proceed to main hub, select default partitioning. Do not change anything in package hub
3. Finish the installation
4. Check /var/log/anaconda/anaconda.packaging.log for errors
  
Actual results:
03:52:08,703 INFO packaging: /var/tmp/rpm-tmp.S6D91J: line 1: readlink: command not found
03:52:08,828 INFO packaging: /var/tmp/rpm-tmp.gzBd9O: line 1: readlink: command not found
03:52:08,830 INFO packaging: /var/tmp/rpm-tmp.gzBd9O: line 5: readlink: command not found

Expected results:
wodim and genisoimage should depend on coreutils, so that they are installed after coreutils.

There should be no errors in /var/log/anaconda/anaconda.packaging.log

Additional info:

Comment 1 Martin Banas 2012-10-03 08:34:57 UTC
Created attachment 620690 [details]
anaconda.packaging.log

Comment 2 Fedora Update System 2012-10-04 07:40:05 UTC
cdrkit-1.1.11-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cdrkit-1.1.11-14.fc18

Comment 3 Fedora Update System 2012-10-04 07:41:29 UTC
cdrkit-1.1.11-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cdrkit-1.1.11-14.fc17

Comment 4 Fedora Update System 2012-10-04 17:49:21 UTC
Package cdrkit-1.1.11-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cdrkit-1.1.11-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15368/cdrkit-1.1.11-14.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Admin XMLRPC Client 2012-10-16 11:20:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.